Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[gelöst] emerge --depclean Fehler
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German)
View previous topic :: View next topic  
Author Message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Thu Feb 17, 2011 5:35 pm    Post subject: [gelöst] emerge --depclean Fehler Reply with quote

flammenflitzer olaf # emerge --depclean --pretend --verbose
Code:
Calculating dependencies... done!
 * Dependencies could not be completely resolved due to
 * the following required packages not being installed:
 *
 *   media-sound/phonon[-aqua] pulled in by:
 *     x11-libs/qt-webkit-4.7.0-r1
 *
 *   media-sound/phonon[-aqua,gstreamer] pulled in by:
 *     x11-libs/qt-qt3support-4.7.0
 *
 * Have you forgotten to run `emerge --update --newuse --deep @world` prior
 * to depclean? It may be necessary to manually uninstall packages that no longer
 * exist in the portage tree since it may not be possible to satisfy their
 * dependencies.  Also, be aware of the --with-bdeps option that is documented
 * in `man emerge`.
Code:
flammenflitzer olaf # emerge -pv media-sound/phonon x11-libs/qt-webkit x11-libs/qt-qt3support -pv

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] media-sound/phonon-4.4.4  USE="-debug gstreamer -pulseaudio vlc xine" 0 kB
[ebuild   R   ] x11-libs/qt-webkit-4.7.0-r1  USE="(-aqua) dbus -debug exceptions kde -pch" 0 kB
[ebuild   R   ] x11-libs/qt-qt3support-4.7.0  USE="accessibility (-aqua) -debug exceptions kde -pch phonon" 0 kB

Total: 3 packages (3 reinstalls), Size of downloads: 0 kB

In portage-2.1.9.40 kommt die Medung nicht mehr und die Ausgabe ist korrekt.
Danke


Last edited by flammenflitzer on Thu Feb 17, 2011 8:15 pm; edited 1 time in total
Back to top
View user's profile Send private message
yuhu
Tux's lil' helper
Tux's lil' helper


Joined: 17 Oct 2006
Posts: 86

PostPosted: Thu Feb 17, 2011 7:36 pm    Post subject: Reply with quote

Was ist die Frage?
Back to top
View user's profile Send private message
cryptosteve
Veteran
Veteran


Joined: 04 Jan 2004
Posts: 1169
Location: Buchholz/GER

PostPosted: Fri Feb 18, 2011 6:34 am    Post subject: Reply with quote

Und die war die Lösung?
_________________
- born to create drama -
cryptosteve - gpg: 0x9B6C7E15
CS Virtual Travel Bug: VF6G5D
Back to top
View user's profile Send private message
flammenflitzer
Advocate
Advocate


Joined: 25 Nov 2003
Posts: 3116
Location: Berlin

PostPosted: Fri Feb 18, 2011 10:19 am    Post subject: Reply with quote

revdep-rebuild verlangt das die folgenden ABhängigkeiten aufgelöst werden
Code:
 *   media-sound/phonon[-aqua] pulled in by:
 *     x11-libs/qt-webkit-4.7.0-r1
 *
 *   media-sound/phonon[-aqua,gstreamer] pulled in by:
 *     x11-libs/qt-qt3support-4.7.0
Sind sie aber schon
Code:
[ebuild   R   ] media-sound/phonon-4.4.4  USE="-debug gstreamer -pulseaudio vlc xine" 0 kB
[ebuild   R   ] x11-libs/qt-webkit-4.7.0-r1  USE="(-aqua) dbus -debug exceptions kde -pch" 0 kB
[ebuild   R   ] x11-libs/qt-qt3support-4.7.0  USE="accessibility (-aqua) -debug exceptions kde -pch phonon" 0 kB
Also eine fehlerhafte Ausgabe von revdep-rebuild, die in der neuen portage-Version nicht mehr vorkommt.
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4408

PostPosted: Fri Feb 18, 2011 10:59 am    Post subject: Reply with quote

Kann mir vorstellen, das Problem ist das fehlende aqua-USE-Flag bei media-sound/phonon.
Du siehst das in der Ausgabe. Evtl. einen Bug-report wert?
Ach, gibts schon:
https://bugs.gentoo.org/show_bug.cgi?id=353362
Kannst dich ja mal mit deinem Problem da anhängen.

// edit:
Geh ich recht in der Annahme, dass du erst jetzt wieder gesynct hast? Wann hast du das letzte mal gesynct?
Ich nehme nämlich an, dass es nicht die neue portage-Version war, sondern der Fix im ebuild...
Mir kam die qt-version komisch vor (wir sind testing mittlerweile bei 4.7.1, du hättest das also maskieren müssen).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Deutsches Forum (German) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum